#include <cstdlib>

#include <pico/stdio_usb.h>
#include <pico/stdlib.h>

#include <picoled/SSD1306.h>

int main()
{
  stdio_usb_init();

  i2c_init(i2c0, 3 * 1000 * 1000);
  gpio_set_function(0, GPIO_FUNC_I2C);
  gpio_set_function(1, GPIO_FUNC_I2C);
  gpio_pull_up(0);
  gpio_pull_up(1);

  picoled::ssd1306 oled(i2c0, 0x3C);
  oled.update();

  while (true)
  {
    for (int i = 0; i < 16; i++)
    {
      const int x = rand() % oled.get_width();
      const int y = rand() % oled.get_height();

      oled(x, y).invert();
    }

    oled.update();
  }
}
